#include <iostream>
#include <fstream>
#include <cmath>
using namespace std;
int main()
{
    ifstream fi("demduong.inp");
    long int n;
    long int dem=0,s=0;
    fi>>n;
    long int a[n];
    for (int i=0;i<n;i++)
    {
        fi>>a[i];
        if(a[i]>0)
        {
            dem++;
            s=s+a[i];
        }
    }
    fi.close();
    ofstream fo("demduong.out");
    fo<<dem<<' '<<s;
    return 0;
}
